#ifndef AUBO_SCOPE_IF_BLOCK_NODE_H
#define AUBO_SCOPE_IF_BLOCK_NODE_H

#include <aubo_caps/domain/program/nodes/program_node.h>

namespace arcs {
namespace aubo_scope {
ARCS_CLASS_FORWARD(IfBlockNode);

class ARCS_ABI_EXPORT IfBlockNode : public ProgramNode
{
public:
    IfBlockNode(IfBlockNode &f);
    IfBlockNode(IfBlockNode &&f);
    virtual ~IfBlockNode();

private:
    friend class DataSwitch;
    IfBlockNode();
    void *d_{ nullptr };
};

} // namespace aubo_scope
} // namespace arcs
#endif // AUBO_SCOPE_IF_BLOCK_NODE_H
